summaryrefslogtreecommitdiffstats
path: root/games/etlegacy-from-source/etlegacy-from-source.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/etlegacy-from-source/etlegacy-from-source.SlackBuild')
-rw-r--r--games/etlegacy-from-source/etlegacy-from-source.SlackBuild25
1 files changed, 15 insertions, 10 deletions
diff --git a/games/etlegacy-from-source/etlegacy-from-source.SlackBuild b/games/etlegacy-from-source/etlegacy-from-source.SlackBuild
index 461b382532..d09040b0c6 100644
--- a/games/etlegacy-from-source/etlegacy-from-source.SlackBuild
+++ b/games/etlegacy-from-source/etlegacy-from-source.SlackBuild
@@ -21,12 +21,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220222 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - fix md5sums. this is ponce's build, and the files are hosted on
+# his server, I have to assume they're correct.
+# - fix the build: we have a GeoIP.dat.gz download, but it wasn't being
+# used, and the build was failing because we have -DINSTALL_GEOIP=1
+# but no extracted GeoIP.dat in the legacy/ dir...
+# - also, the etl*.sh scripts were looked for in the wrong place.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=etlegacy-from-source
SRCNAM=etlegacy
VERSION=${VERSION:-20201029_886f0ef}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +46,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -63,20 +68,20 @@ else
w_omnibot=0
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
# Fix location of the omnibot.zip, man install path
# and leave the relative path to binaries off
@@ -87,6 +92,7 @@ mkdir -p build/legacy
cd build
cp -a $CWD/omnibot-linux-latest.tar.gz legacy/
cp -a $CWD/wolfadmin.tar.gz legacy/
+ zcat $CWD/GeoIP.dat.gz > legacy/GeoIP.dat
# We have to use bundled lua and sdl
cmake \
-DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
@@ -163,8 +169,7 @@ mv $PKG/usr/share/man $PKG/usr/man
# Install a script to open urls, and move two scripts to launch the client and
# the dedicated server with omnibot support in the binaries folder
install -m 0755 $CWD/files/openurl.sh $PKG/usr/bin/openurl.sh
-mv $PKG/usr/share/$SRCNAM/etl*.sh $PKG/usr/bin/
-chmod 755 $PKG/usr/bin/etl*.sh
+install -m 0755 misc/etl*.sh $PKG/usr/bin/
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true